package com.jsowell.pile.service;

import java.util.List;

import com.jsowell.common.core.domain.ykc.TransactionRecordsData;
import com.jsowell.pile.domain.OrderBasicInfo;
import com.jsowell.pile.domain.PersonalChargingRecord;
public interface PersonalChargingRecordService{


    int deleteByPrimaryKey(Integer id);

    int insert(PersonalChargingRecord record);

    int insertOrUpdate(PersonalChargingRecord record);

    int insertOrUpdateSelective(PersonalChargingRecord record);

    int insertSelective(PersonalChargingRecord record);

    PersonalChargingRecord selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PersonalChargingRecord record);

    int updateByPrimaryKey(PersonalChargingRecord record);

    int updateBatch(List<PersonalChargingRecord> list);

    int updateBatchSelective(List<PersonalChargingRecord> list);

    int batchInsert(List<PersonalChargingRecord> list);

    /**
     * 处理个人桩充电记录
     *
     * @param data
     */
    void processPersonalChargingRecord(TransactionRecordsData data);

    void processPersonalChargingRecord(OrderBasicInfo orderBasicInfo);
}
